apt-get install 相依關係無法安裝問題 [論壇 - 新手村]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



apt-get install 相依關係無法安裝問題
會員一級
註冊日期:
2014/4/7 11:55
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 0
MP : 0 / 10
EXP: 2
離線
root@ubuntu:~# sudo apt-get install ntp
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
您也許得執行 'apt-get -f install' 以修正這些問題:
下列的套件有未滿足的相依關係:
linux-image-generic-lts-raring : 相依關係: linux-image-3.8.0-38-generic 但它卻將不會被安裝
ntp : 相依關係: libopts25 (>= 1:5.12) 但它卻將不會被安裝
E: 未能滿足相依關係。請試著不指定套件來執行 'apt-get -f install'(或採取其它的解決方案)。

剛接觸Ubuntu,請問這是什麼問題

2014/4/29 16:57
應用擴展 工具箱
回覆: apt-get install 相依關係無法安裝問題
會員四級
註冊日期:
2010/12/22 12:40
所屬群組:
已註冊使用者
等級: 19
HP : 0 / 466
MP : 149 / 11358
EXP: 65
離線
套件相依性的問題

ntp要運作還需要其他東西
例如你這缺的是linux-image-3.8.0-38-generic

系統也告訴你解法了
執行以下這個就會幫你把缺的補上
apt-get -f install

2014/4/29 18:25
應用擴展 工具箱
回覆: apt-get install 相依關係無法安裝問題
會員一級
註冊日期:
2014/4/7 11:55
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 0
MP : 0 / 10
EXP: 2
離線
apt-get -f install
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
正在修正相依關係... 完成
以下套件為自動安裝,並且已經無用:
libtommath0
使用 'apt-get autoremove' 來將其移除。
下列的額外套件將被安裝:
linux-image-3.8.0-39-generic linux-image-generic-lts-raring
建議套件:
fdutils linux-lts-raring-doc-3.8.0
linux-lts-raring-source-3.8.0 linux-lts-raring-tools
linux-headers-3.8.0-39-generic
下列【新】套件將會被安裝:
linux-image-3.8.0-39-generic
下列套件將會被升級:
linux-image-generic-lts-raring
升級 1 個,新安裝 1 個,移除 0 個,有 97 個未被升級。
7 個沒有完整得安裝或移除。
需要下載 0 B/50.5 MB 的套件檔。
此操作完成之後,會多佔用 137 MB 的磁碟空間。
是否繼續進行 [Y/n]?Y
(正在讀取資料庫 ... 目前共安裝了 340688 個檔案和目錄。)
正在解開 linux-image-3.8.0-39-generic (從 .../linux-image-3.8.0-39-generic_3.8.0-39.57~precise1_i386.deb)...
Done.
dpkg:在處理 /var/cache/apt/archives/linux-image-3.8.0-39-generic_3.8.0-39.57~precise1_i386.deb (--unpack) 時發生錯誤:
failed in write on buffer copy for 在這期間會以 dpkg-deb 進行 `./boot/vmlinuz-3.8.0-39-generic': 裝置上已無多餘空間
No apport report written because the error message indicates a disk full error
dpkg-deb:錯誤:子程序 貼上 被信號 (中斷的管線) 終止了
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.8.0-39-generic /boot/vmlinuz-3.8.0-39-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.8.0-39-generic /boot/vmlinuz-3.8.0-39-generic
在處理時有錯誤發生:
/var/cache/apt/archives/linux-image-3.8.0-39-generic_3.8.0-39.57~precise1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

強制安裝如果無多餘空間,有其他解決方式嗎? update更新能成功但不能安裝套件

2014/4/30 10:13
應用擴展 工具箱
回覆: apt-get install 相依關係無法安裝問題
會員四級
註冊日期:
2010/12/22 12:40
所屬群組:
已註冊使用者
等級: 19
HP : 0 / 466
MP : 149 / 11358
EXP: 65
離線
你應該有切一個/boot吧?
把裡面的東西清一清,只留最後兩三個版本就可以了

2014/4/30 10:25
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.